from setuptools import setup, find_packages


data = {'author': 'Jean Boussier',
 'author_email': 'jean.boussier@gmail.com',
 'classifiers': ['Development Status :: 5 - Production/Stable',
                 'Intended Audience :: Developers',
                 'License :: OSI Approved :: GNU General Public License (GPL)',
                 'Operating System :: OS Independent',
                 'Programming Language :: Python',
                 'Topic :: Multimedia :: Video',
                 'Topic :: Software Development :: Libraries',
                 'Topic :: Text Processing :: Markup'],
 'data_files': [],
 'description': 'SubRip (.srt) subtitle parser and writer',
 'entry_points': {'console_scripts': ['srt = pysrt.commands:main']},
 'install_requires': [],
 'keywords': 'SubRip srt subtitle',
 'license': 'GPLv3',
 'long_description': 'pysrt\n=============\n\npysrt is a Python library used to edit or create SubRip files.\n\n.. image:: https://secure.travis-ci.org/byroot/pysrt.png?branch=master\n   :target: http://travis-ci.org/byroot/pysrt\n\n\nForeword\n====================\n\npysrt is mainly designed as a library, but if you are experiencing troubles\nwith bad subtitles you can first try to use `ruby-osdb <https://github.com/byroot/ruby-osdb>`_\nwhich will try to find the best subtitle for your movie. If you are still unlucky\npysrt also provide an ``srt`` command useful for either shift, split, or rescale a\n*.srt* file.\n\nCommand Usage\n=====================\n\nShifting: ::\n  \n    $ srt -i shift 2s500ms movie.srt\n\nSpliting: ::\n\n    $ srt split 58m26s movie.srt\n\nRescaling: ::\n\n    $ srt -i rate 23.9 25 movie.srt\n\nInstallation\n=================\n\npysrt is available on pypi. To intall it you can use either\n\npip: ::\n    \n    $ sudo pip install pysrt\n    \nor distutils: ::\n\n    $ sudo easy_install pysrt\n\n\nIt is also available for Python 3 as `pysrt3 <https://github.com/byroot/pysrt/tree/python3>`_\n\n\nLibrary Usage\n=============\n\nImport: ::\n\n    >>> import pysrt\n    \nParsing: ::\n\n    >>> subs = pysrt.open(\'some/file.srt\')\n    # If you get a UnicodeDecodeError try to specify the encoding\n    >>> subs = pysrt.open(\'some/file.srt\', encoding=\'iso-8859-1\')\n    \nSubRipFile are list-like objects of SubRipItem instances: ::\n    \n    >>> len(subs)\n    >>> first_sub = subs[0]\n    \nSubRipItem instances are editable just like pure Python objects: ::\n    \n    >>> first_sub.text = "Hello World !"\n    >>> first_sub.start.seconds = 20\n    >>> first_sub.end.minutes = 5\n    \nShifting: ::\n\n    >>> subs.shift(seconds=-2) # Move all subs 2 seconds earlier\n    >>> subs.shift(minutes=1)  # Move all subs 1 minutes later\n    >>> subs.shift(ratio=25/23.9) # convert a 23.9 fps subtitle in 25 fps\n    >>> first_sub.shift(seconds=1) # Move the first sub 1 second later\n    >>> first_sub.start += {\'seconds\': -1} # Make the first sub start 1 second earlier\n    \nRemoving: ::\n    \n    >>> del subs[12]\n    \nSlicing: ::\n    \n    >>> part = subs.slice(starts_after={\'minutes\': 2, seconds\': 30}, ends_before={\'minutes\': 3, \'seconds\': 40})\n    >>> part.shift(seconds=-2)\n    \nSaving changes: ::\n    \n    >>> subs.save(\'other/path.srt\', encoding=\'utf-8\')\n',
 'name': 'pysrt',
 'packages': ['pysrt', 'tests'],
 'platforms': ['Independent'],
 'url': 'https://github.com/byroot/pysrt',
 'version': '0.5.1.1'}


setup(**data)